# Product names
export SNG_PRODUCT_NAME=nsg
export SNG_PRODUCT_NAME_SHORT=nsg
export SNG_PRODUCT_NAME_FULL="NetBorder SS7 to VoIP Media Gateway"
 
# Product version
export SNG_PRODUCT_VERSION_MAJOR=5
export SNG_PRODUCT_VERSION_MINOR=0
export SNG_PRODUCT_VERSION_PATCH=2
export SNG_PRODUCT_VERSION_RELEASE=GA

# Latest product release tag, used to generate changelog
export SNG_PRODUCT_LATEST_TAG=release.NSG-4.3.0-GA

# Check if running on Hudson to add build number
if [ -n "${BUILD_NUMBER+x}" ]; then
  export SNG_PRODUCT_VERSION_BUILD=${BUILD_NUMBER}
else
  export SNG_PRODUCT_VERSION_BUILD=2
fi

# Full product version
export SNG_PRODUCT_VERSION=$SNG_PRODUCT_VERSION_MAJOR.$SNG_PRODUCT_VERSION_MINOR.$SNG_PRODUCT_VERSION_PATCH-$SNG_PRODUCT_VERSION_BUILD


export SNG_PRODUCT_VENDOR="Sangoma Technologies Corp."
export SNG_PRODUCT_COPYRIGHT="Copyright (C) 2012 Sangoma Technologies.  All Rights Reserved."
export SNG_PRODUCT_LICENSE="Sangoma License"

export SNG_DIR_ROOT=`pwd`
export SNG_DIR_RELEASES="$SNG_DIR_ROOT/releases"
export SNG_DIR_RPMS="$SNG_DIR_ROOT/rpms"
export SNG_DIR_ISO="$SNG_DIR_ROOT/iso"


#Build specific stuff (should be move to another file...)
export SNG_BUILD_ARCH=`uname -m`
if test ${SNG_BUILD_ARCH} = "i686"
then
  export SNG_BUILD_ARCH=i386
fi

#Specify the build settings, this set compiler and linker options.
#Valid values are _dbg (debug build) or empty (release build)
export SNG_BUILD_OPTION=_dbg

#Define the kind of build (either a development or release build). 
#This is different then SNG_BUILD_OPTION which relate to compilation
#options. Build target determine the type of package being built.
#Valid values are dev or rls.
export SNG_BUILD_TARGET=release
#export SNG_DEV_PLATFORM=

# Where the product will be installed
export SNG_INSTALL_PREFIX=/usr/local/$SNG_PRODUCT_NAME

# Git repos and branches
FREESWITCH_GIT=freeswitch
FREESWITCH_BRANCH=maint/NSG-5.0/master

SNGSS7_GIT=sng_ss7
SNGSS7_BRANCH=maint/NSG-5.0/master

SNGISDN_GIT=sng_trillium
SNGISDN_BRANCH=maint/NSG-5.0/master

SNGMG_GIT=sng_mg
SNGMG_BRANCH=maint/NSG-5.0/master

FREERADIUSCLIENT_GIT=freeradius-client
FREERADIUSCLIENT_BRANCH=maint/NSG-5.0/master

PTLIB_GIT=ptlib
PTLIB_BRANCH=maint/NSG-5.0/master

OPAL_GIT=opal
OPAL_BRANCH=maint/NSG-5.0/master

SNGMP_GIT=sngmp
SNGMP_BRANCH=1.4

WEBSERVER_GIT=webserver
WEBSERVER_BRANCH=maint/NSG-5.0/master

WEBGUI_GIT=webgui
WEBGUI_BRANCH=maint/NSG-5.0/master

CLEAROS_MODULES_GIT=clearos_modules
CLEAROS_MODULES_BRANCH=maint/NSG-5.0/master

CLEAROS_ISO_GIT=clearos_iso
CLEAROS_ISO_BRANCH=maint/NSG-5.0/master

#QA_TOOLS_GIT=qa_tools
#QA_TOOLS_BRANCH=master
#QA_TOOLS_BRANCH=release.NSG-4.1.0


# Remember to keep in sync the order of repos array vs branches
export SNG_PRODUCT_REPOSITORIES=""$FREESWITCH_GIT" "$WEBGUI_GIT" "$WEBSERVER_GIT" "$SNGSS7_GIT" "$SNGISDN_GIT" "$SNGMG_GIT" "$SNGMP_GIT" "$FREERADIUSCLIENT_GIT" "$PTLIB_GIT" "$OPAL_GIT" "$CLEAROS_MODULES_GIT" "$CLEAROS_ISO_GIT""
export SNG_PRODUCT_BRANCHES=""$FREESWITCH_BRANCH" "$WEBGUI_BRANCH" "$WEBSERVER_BRANCH" "$SNGSS7_BRANCH" "$SNGISDN_BRANCH" "$SNGMG_BRANCH" "$SNGMP_BRANCH" "$FREERADIUSCLIENT_BRANCH" "$PTLIB_BRANCH" "$OPAL_BRANCH" "$CLEAROS_MODULES_BRANCH" "$CLEAROS_ISO_BRANCH""
